### Name

> XmHTMLImageGZFSupported, XmHTMLImageJPEGSupported, XmHTMLImagePNGSupported - report whether or not support for a specific image format is available.

### Synopsis

> Boolean XmHTMLImageGZFSupported(void)
> Boolean XmHTMLImageJPEGSupported(void)
> Boolean XmHTMLImagePNGSupported(void)

### Description

> Support for these image formats are compile-time options and requires the presence of various libraries. As such, support for any of these image formats may or may not be present in any given XmHTML Widget Library.

> - XmHTMLImageGZFSupported - requires support for libz to be present;
> - XmHTMLImageJPEGSupported - requires support for libjpeg to be present;
> - XmHTMLImagePNGSupported - requires support for libpng and libz to be present (support for the PNG image format implies support for the GZF image format);

### Return Value

> True when support for the requested image format is present, False if not.

### See Also

> XmHTML(3X), XmHTMLImageDefaultProc(3X)

XmHTML, October 7, 1997